package com.goafanti.order.enums;

import java.util.HashMap;
import java.util.Map;

public enum OrderImgEnums {
    /** 合同图片*/
    CONTRACT("contract","合同图片"),
    /** 补充协议*/
    SUPPLEMENT("supplement","补充协议"),
    /** 服务内容*/
    CONTENT("content","服务内容"),
    /** 阿米巴付款*/
    AMBPAYMENT("amb_payment","阿米巴付款"),
    NOT("not","未知");

    private OrderImgEnums(String code, String desc){
        this.code=code;
        this.desc=desc;
    }

    private static Map<String ,OrderImgEnums> status= new HashMap<>();

    private String code;
    private String desc;

    public static Map<String, OrderImgEnums> getStatus() {
        return status;
    }

    public static void setStatus(Map<String, OrderImgEnums> status) {
        OrderImgEnums.status = status;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
